package com.yidianling.uikit.business.session.view;

import android.content.Context;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;

import com.yidianling.im.R;

/**
 * @author yuanwai
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/8/7
 */
public class ChatPrivateTips extends FrameLayout{

    public ChatPrivateTips(@NonNull Context context) {
        super(context);
        initView();
    }

    public ChatPrivateTips(@NonNull Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initView();
    }

    public ChatPrivateTips(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        initView();
    }

    private void initView(){
        LayoutParams params = new LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT,ViewGroup.LayoutParams.MATCH_PARENT);
        View.inflate(getContext(), R.layout.im_dialog_chat_tips,this);

        setLayoutParams(params);
    }
}
